Mertalp Taşdelen Mertalp Taşdelen - 3 years ago 145
Android Question

how can i add dependence when i got error

I am trying to make an chat app with firebase and i need to add this two dependencies

compile 'com.android.support:design:26.1.0'
compile 'com.firebaseui:firebase-ui:0.6.0'


my base compileSDKVersion is

ompileSdkVersion 26
buildToolsVersion "26.0.2"
defaultConfig {
minSdkVersion 16
targetSdkVersion 26
versionCode 1
versionName "1.0"
testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"


while i am trying to add two line of code dependencies segment i got this error

Failed to resolve: com.android.support:design:26.1.0


How can i make it right ? Thanks...

Answer Source
dependencies {
    compile fileTree(include: ['*.jar'], dir: 'libs')
    androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.android.support', module: 'support-annotations'
    })
    compile 'com.android.support:appcompat-v7:25.3.1'
    compile 'com.android.support.constraint:constraint-layout:1.0.2'
    compile 'com.jakewharton:butterknife:8.8.1'
    compile 'com.android.support:design:25.3.1'
    testCompile 'junit:junit:4.12'
    annotationProcessor 'com.jakewharton:butterknife-compiler:8.8.1'
    compile 'com.android.support:recyclerview-v7:25.3.1'
    compile 'com.android.support:cardview-v7:25.3.1'

}

and in build.gradle(project )

allprojects {
    repositories {
        jcenter()
    }
}

hope this will help you.

Recommended from our users: Dynamic Network Monitoring from WhatsUp Gold from IPSwitch. Free Download